      subroutine ut2carr_arg( argc, argv )
!
!     Argument break-out for Unix IDL call_external calls of
!     ut2carr_drv.
!
!     B. Knapp, 2001-01-10
!
C
C     RCS DATA
C     
C     $Header$
C     
C     $Log$
C
C
      implicit none
      integer argc, argv(3)
      external ut2carr_drv
!
      call ut2carr_drv( %val(argv(1)), %val(argv(2)), %val(argv(3)) )
!
      return
      end

      subroutine ut2carr_drv( n, ut, carr )
!
!     Driver interface (for use by IDL call_external) to function
!     ut2carr.
!
!     B. Knapp, 2001-01-10, 2001-04-24 (i*4)
!
      implicit none
!
!     Input:
      integer*4 n
      real*8 ut(n)
!
!     Output:
      real*8 carr(n)
!
!     External functions, subroutines
      real*8 ut2carr
      external ut2carr

!     Local:
      integer*4 j
!
      do j=1,n
         carr(j) = ut2carr( ut(j) )
      enddo
      return
      end
